// ===========================================================================
//	CNode.cp		1995-97 Timo Eloranta		All rights reserved.
// ===========================================================================
//	A simple node class. Most functions in the header (inlined).

#include "CNode.h"

// ---------------------------------------------------------------------------
//		 Draw
//
//		  Called by:	CGraphNodes::DrawAll
// ---------------------------------------------------------------------------
//	Draw this node. 

void 
CNode::Draw( const	Rect &inOneOneRect,
					Int16 inSquareSize) const
{
	Rect	theNodeRect = inOneOneRect;

	::OffsetRect( 	&theNodeRect,
					(mPosX - 1) * inSquareSize,
					(mPosY - 1) * inSquareSize );
			
	::PaintOval	( &theNodeRect );
}

